List Moderation Queue
curl --request GET \
--url https://api.member.dev/api/v1/admin/teams/{team_id}/hubs/{hub_id}/moderation/queue \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.member.dev/api/v1/admin/teams/{team_id}/hubs/{hub_id}/moderation/queue"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.member.dev/api/v1/admin/teams/{team_id}/hubs/{hub_id}/moderation/queue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"created_at": "<string>",
"hub_id": "<string>",
"notes": "<string>",
"reason_id": "<string>",
"reportable_id": "<string>",
"reportable_type": "<string>",
"reporter_contact_id": "<string>",
"resolution": "<string>",
"resolved_at": "<string>",
"resolved_by_user_id": "<string>",
"status": "<string>",
"team_id": "<string>",
"updated_at": "<string>"
},
"id": "<string>",
"type": "<string>",
"meta": {
"first_reported_at": "<string>",
"last_reported_at": "<string>",
"report_count": 123,
"content_preview": "<string>",
"parent_comment_id": "<string>",
"reason_breakdown": [],
"title": "<string>"
},
"relationships": {
"author": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
}
],
"included": [
{
"attributes": {
"avatar_url": "<string>",
"display_name": "<string>"
},
"id": "<string>",
"type": "contacts"
}
],
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}community-moderation-admin
List Moderation Queue
GET
/
api
/
v1
/
admin
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
moderation
/
queue
List Moderation Queue
Authorizations
Send platform JWTs, contact JWTs, or team API keys as Authorization: Bearer <token>.
Query Parameters
Sort order for the queue. One of: -author_name, -content, -last_reported_at, -report_count, -reportable_type, author_name, content, last_reported_at, report_count, reportable_type
Available options:
-author_name, -content, -last_reported_at, -report_count, -reportable_type, author_name, content, last_reported_at, report_count, reportable_type Required range:
1 <= x <= 100⌘I